Get Org Templates Library ID

Open in ChatGPT Open in ChatGPT to ask questions about this page
Open in Claude Open in Claude to ask questions about this page
Copy as MarkdownCopy this page as markdown to use with AI assistants
View as Markdown Open this page as markdown in a new tab

Every team in WorkDrive has an "Org Template Library", which is created by default during the team creation. This Library contains all Org Templates and their categories, which will be visible and can be used only by the members of the team.

This API fetches the Org Templates Library ID of the team.

Note:
Only template admins can create, edit, delete, and manage Org Templates. All admins are template admins by default. Team admins can assign the template admin role to team members if required.
Endpoints

OAuth Scope

WorkDrive.libraries.READCopied!

Request Example

cURL
cURL
Deluge
Copied!
curl --request GET \
  --url https://www.zohoapis.com/workdrive/api/v1/teams/{team_id}/libraries \
  --header 'Authorization: Zoho-oauthtoken d92d4xxxxxxxxxxxxx15f52'

Path Parameters

team_idstring(Required)

The unique ID that represents a team.

Query Parameters

Note:

Query parameter name should be URL encoded with UTF-8 Charset. For more info, refer here

filter[type]string

Mandatory The value must be the integer "2" for the template library

Response Example

F000

200
200
500
Copied!
  {
    "data": [
      {
        "id": "t4y5t30481213b4ee415d85a111634df62b63",
        "type": "libraries",
        "attributes": {
          "capabilities": {
            "can_read": true,
            "can_favourite": true,
            "can_share": true,
            "can_remove_share": true,
            "can_delete": true,
            "can_edit": false,
            "can_manage": true,
            "can_read_fill": false,
            "can_create_files": true,
            "can_upload_files": true,
            "can_trash": true,
            "can_rename": false,
            "can_restore": false,
            "can_copy": false,
            "can_move": false,
            "can_zip": true,
            "can_download": true,
            "can_emailattach": true,
            "can_publish": false,
            "can_org_publish": false,
            "can_checkout": false,
            "can_cancel_checkout": false,
            "can_discard_checkout": false,
            "can_checkin": false,
            "can_read_comment": false,
            "can_create_comment": false,
            "can_delete_comment": false,
            "can_edit_comment": false,
            "can_replyto_comment": false,
            "can_trash_files": true,
            "can_share_files": true,
            "can_leave": true,
            "can_add_members": false,
            "can_join": false,
            "can_download_files": true,
            "is_admin": true
          },
          "view_pref": {
            "sort_by": "last_modified",
            "sort_order": "asc",
            "filtered_by": "all",
            "layout": "list"
          },
          "parent_id": "oc85p35a40ed1efea46119d3f1c321f60e470",
          "library_type": 2,
          "library_name": "default_template_library",
          "library_kind": 4
        },
        "relationships": {
          "permissions": {
            "links": {
              "self": "https://www.zohoapis.com/workdrive/api/v1/libraries/t4y5t30481213b4ee415d85a111634df62b63/relationships/permissions",
              "related": "https://www.zohoapis.com/workdrive/api/v1/libraries/t4y5t30481213b4ee415d85a111634df62b63/permissions"
            }
          },
          "files": {
            "links": {
              "self": "https://www.zohoapis.com/workdrive/api/v1/libraries/t4y5t30481213b4ee415d85a111634df62b63/relationships/files",
              "related": "https://www.zohoapis.com/workdrive/api/v1/libraries/t4y5t30481213b4ee415d85a111634df62b63/files"
            }
          },
          "categories": {
            "links": {
              "self": "https://www.zohoapis.com/workdrive/api/v1/libraries/t4y5t30481213b4ee415d85a111634df62b63/relationships/categories",
              "related": "https://www.zohoapis.com/workdrive/api/v1/libraries/t4y5t30481213b4ee415d85a111634df62b63/categories"
            }
          }
        },
        "links": {
          "self": "https://www.zohoapis.com/workdrive/api/v1/libraries/t4y5t30481213b4ee415d85a111634df62b63"
        }
      }
    ]
  }
                
  {
    "errors": [
      {
        "id": "F000",
        "title": "Generic server-side failure"
      }
    ]
  }
                
Show full